- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/create#try-it)

Creates an Entry.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/entryGroups/*}/entries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent Entry Group: `projects/{project}/locations/{location}/entryGroups/{entryGroup}`. |

### Query parameters

| Parameters ||
|---|---|
| `entryId` | `string` Required. Entry identifier. It has to be unique within an Entry Group. Entries corresponding to Google Cloud resources use an Entry ID format based on [full resource names](https://cloud.google.com/apis/design/resource_names#full_resource_name). The format is a full resource name of the resource without the prefix double slashes in the API service name part of the full resource name. This allows retrieval of entries using their associated resource name. For example, if the full resource name of a resource is `//library.googleapis.com/shelves/shelf1/books/book2`, then the suggested entryId is `library.googleapis.com/shelves/shelf1/books/book2`. It is also suggested to follow the same convention for entries corresponding to resources from providers or systems other than Google Cloud. The maximum size of the field is 4000 characters. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `dataplex.aspectTypes.use`
- `dataplex.entries.create`
- `dataplex.entryGroups.useContactsAspect`
- `dataplex.entryGroups.useDataProfileAspect`
- `dataplex.entryGroups.useDataQualityRuleTemplateAspect`
- `dataplex.entryGroups.useDataQualityRuleTemplateEntry`
- `dataplex.entryGroups.useDataQualityScorecardAspect`
- `dataplex.entryGroups.useDataRulesAspect`
- `dataplex.entryGroups.useDatabaseDataPolicyAspect`
- `dataplex.entryGroups.useDbtConnectorTypes`
- `dataplex.entryGroups.useDescriptionsAspect`
- `dataplex.entryGroups.useGenericAspect`
- `dataplex.entryGroups.useGenericEntry`
- `dataplex.entryGroups.useGraphProfileAspect`
- `dataplex.entryGroups.useGuidelinesAspect`
- `dataplex.entryGroups.useManagedConnectorTypes`
- `dataplex.entryGroups.useMySQLConnectorTypes`
- `dataplex.entryGroups.useOracleConnectorTypes`
- `dataplex.entryGroups.useOverviewAspect`
- `dataplex.entryGroups.usePostgreSQLConnectorTypes`
- `dataplex.entryGroups.useQueriesAspect`
- `dataplex.entryGroups.useRefreshCadenceAspect`
- `dataplex.entryGroups.useSQLAccessAspect`
- `dataplex.entryGroups.useSQLServerConnectorTypes`
- `dataplex.entryGroups.useSQLTriggersAspect`
- `dataplex.entryGroups.useSchemaAspect`
- `dataplex.entryGroups.useSecondaryIndexesAspect`
- `dataplex.entryGroups.useStorageAspect`
- `dataplex.entryTypes.use`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).